Bug 1301442 - [abrt] gdm: on_establish_credentials_cb(): gdm killed by SIGSEGV
[abrt] gdm: on_establish_credentials_cb(): gdm killed by SIGSEGV
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8e651d2b01fda4c069d90ce237a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-24 22:14 EST by Bill Gianopoulos
Modified: 2016-02-10 21:04 EST (History)
6 users (show)

See Also:
Fixed In Version: gdm-3.19.4.1-1.fc24.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 13:58:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journal log right after crash (76.53 KB, text/plain)
2016-01-26 10:09 EST, Stephen Gallagher
no flags Details

  None (edit)
Description Bill Gianopoulos 2016-01-24 22:14:11 EST
Version-Release number of selected component:
gdm-3.19.4-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/sbin/gdm
crash_function: on_establish_credentials_cb
executable:     /usr/sbin/gdm
global_pid:     1407
kernel:         4.5.0-0.rc0.git8.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 on_establish_credentials_cb at gdm-session.c:323
 #1 g_task_return_now at gtask.c:1107
 #2 g_task_return at gtask.c:1165
 #3 reply_cb at gdbusproxy.c:2580
 #4 g_task_return_now at gtask.c:1107
 #5 g_task_return at gtask.c:1165
 #6 g_dbus_connection_call_done at gdbusconnection.c:5704
 #7 g_task_return_now at gtask.c:1107
 #8 complete_in_idle_cb at gtask.c:1121
Comment 1 Stephen Gallagher 2016-01-26 10:09 EST
Created attachment 1118534 [details]
journal log right after crash

I can reproduce this every time I attempt to unlock the screen while using the GNOME Wayland session.

I'm attaching my journal log for the time period when it happened. Noteworthy is:

Jan 26 09:55:04 sgallagh540.sgallagh.rht /usr/libexec/gdm-x-session[17675]: Unable to run X server

(Which of course should not be happening on the Wayland session)

This started happening only with GNOME 3.19.4.
Comment 2 Stephen Gallagher 2016-01-26 13:58:26 EST
Working in the latest Rawhide build.

Note You need to log in before you can comment on or make changes to this bug.